\ifdefined\draft % Draft:
\documentclass[conference, draft, onecolumn]{IEEEtran}
acmart}
\else % Production:
\documentclass[conference]{IEEEtran}
\fi
% \IEEEoverridecommandlockouts
% The preceding line is only needed to identify funding in the first footnote. If that is unneeded, please comment it out.
\usepackage[T1]{fontenc}
\usepackage{amsmath,amssymb,amsfonts}
\usepackage{graphicx}
\usepackage{textcomp}
\usepackage[table]{xcolor}
\usepackage[binary-units = true]{siunitx}
\usepackage{subfig}
\usepackage{algpseudocode}
\usepackage{url}
\usepackage{pgfplots}
\usepackage{color}
\usepackage{diagbox}
\usepackage{enumerate}
\usepackage{paralist}
\usepackage{xfrac}
\graphicspath{{figs/PDF/}}


\newcommand{\step}[3]{$\varphi_{#1}(#2, #3)$}
\newcommand{\stepeight}[1]{$\varphi_#1$}
\definecolor{blue_grey}{RGB}{96, 125, 139}
\definecolor{blue_grey_200}{RGB}{176, 190, 197}

\IEEEoverridecommandlockouts
\IEEEpubid{\makebox[\columnwidth]{978-1-7281-8326-8/20/\$31.00 \copyright{}2020 European Union\hfill}\hspace{\columnsep}\makebox[\columnwidth]{}}

\begin{document}
	\title{MemOpLight: Leveraging application feedback to improve container memory consolidation}

	\author{
		\IEEEauthorblockN{Francis Laniel\IEEEauthorrefmark{1}\IEEEauthorrefmark{3}, Damien Carver\IEEEauthorrefmark{1}\IEEEauthorrefmark{3},
			Julien Sopena\IEEEauthorrefmark{1}\IEEEauthorrefmark{3}, Franck Wajsburt\IEEEauthorrefmark{1},
			Jonathan Lejeune\IEEEauthorrefmark{1}\IEEEauthorrefmark{3} and Marc Shapiro\IEEEauthorrefmark{1}\IEEEauthorrefmark{3}
		}
		\IEEEauthorblockA{\IEEEauthorrefmark{3}\textit{INRIA, DELYS Team, Paris, France}}
		\IEEEauthorblockA{\IEEEauthorrefmark{1}\textit{Sorbonne Universit\'e, CNRS, LIP6, F-75005 Paris, France}}
	}

	\ifdefined\draft % Draft:
		\onecolumn
	\fi

	\maketitle

	\begin{IEEEkeywords}
		Linux, container, memory, memory consolidation
	\end{IEEEkeywords}

	\begin{abstract}
		The container mechanism amortizes costs by consolidating several servers onto the same machine, while keeping them mutually isolated.
		Specifically, to ensure performance isolation, Linux relies on memory limits.
		These limits are static, despite the fact that application needs are dynamic; this results in poor performance.
		To solve this issue, MemOpLight uses dynamic application feedback to rebalance physical memory allocation between containers focusing on under-performing ones.
		This paper presents the issues, explains the design of MemOpLight, and validates it experimentally.
		Our approach increases total satisfaction by 13\% compared to the default.
	\end{abstract}

	\input{TEX/intro.tex}
	\input{TEX/technical_background.tex}
	\input{TEX/problem.tex}
	\input{TEX/solution.tex}
	\input{TEX/evaluation.tex}
	\input{TEX/related.tex}
	\input{TEX/conclusion.tex}

	\bibliographystyle{IEEEtran}
	\bibliography{IEEEabrv,nca}
\end{document}